﻿using System;
using PX.Data;
using PX.Data.Unit;

namespace TestSample
{
	public class BAccountMock : PXCacheExtension<BAccountMockBase>
	{
        public static bool IsActive()
        {
            return TestHelper.RunningSameNamespace();
        }
        public abstract class curyID : PX.Data.BQL.BqlString.Field<curyID> { }
		[PXDBString(5, IsUnicode = true)]
		public virtual String CuryID { get; set; }
		public abstract class curyRateTypeID : PX.Data.BQL.BqlString.Field<curyRateTypeID> { }
		[PXDBString(6, IsUnicode = true)]
		public virtual String CuryRateTypeID { get; set; }
		public abstract class allowOverrideCury : PX.Data.BQL.BqlBool.Field<allowOverrideCury> { }
		[PXDBBool]
		[PXDefault(true)]
		public virtual Boolean? AllowOverrideCury { get; set; }
		public abstract class allowOverrideRate : PX.Data.BQL.BqlBool.Field<allowOverrideRate> { }
		[PXDBBool]
		[PXDefault(true)]
		public virtual Boolean? AllowOverrideRate { get; set; }
	}
}
